{% block action_table %}

<div class="margin-10px">
    <center>
        <div id="date_holder"></div>
    </center>
    <div id="gam_toolbar">
    {% if request.session.actor.marketActorTypeid.type == "generic participant" %}
        <button id="newbtn" class="btn btn-default" onclick="newAction();"> 
            <span class="glyphicon glyphicon-plus" style="vertical-align: initial!important"></span> Add offer
        </button> 
    {% endif  %}
    </div>
<div id="for_table" style="display: none;">
    <table 
        id="data_table_session_active"
        class="table"
        data-toolbar="#gam_toolbar"
        data-pagination="true" 
        data-search="true" 
        data-id-field="id" 
        data-page-list="[10, 25, 50, 100, ALL]" 
        data-sort-name="ancillaryService"
        data-sort-order="asc"
        data-click-to-select="false" 
        data-single-select="false">
        <thead>
            <tr>
                <th class="th th-inner" data-sortable="true" data-field="id">ID</th>
                  {% if request.session.actor.marketActorTypeid.type == "market operator" %}
                    <th class="th th-inner" data-sortable="true" data-field="participant" data-formatter="setMarketActorFormatter" data-visible="true">
                        Participant
                    </th>
                {% endif %}
                <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="serviceFormatter" data-field="ancillaryService" >Service</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="typeFormatter"    data-field="actionType" >Type</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="europeanNumberFormatter" data-field="value">Value ({% if service == "reactive_power_compensation" %}kVA{% else %}kW{%endif%})</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="europeanNumberFormatter" data-field="price">Price (&#8364;/{% if service == "reactive_power_compensation" %}kVA{% else %}kW{%endif%})</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-field="date">Date</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-field="actionStartTime">Start Time</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-field="actionEndTime">End Time</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-field="deliveryPoint">Delivery Point</th>
                <th class="th th-inner" data-sortable="true" data-align="center" data-formatter="statusFormatter" data-field="actionStatus">Status</th>
                {% if request.session.actor.marketActorTypeid.type != "market operator" %}
                <th class="th th-inner" data-sortable="false" data-formatter="manageRulesFormatter" data-field="edit">Manage</th>
                {% endif %}
            </tr>
        </thead>
    </table>
</div>
</div>

{% endblock %}